dSFMT 2.2

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
W128_T Union Reference

128-bit data structure More...

`#include <dSFMT.h>`

## Data Fields
uint64_t | u [2]
uint32_t | u32 [4]
double | d [2]

## Detailed Description

128-bit data structure

## Field Documentation

double W128_T::d[2]

Referenced by convert_c0o1(), convert_o0c1(), convert_o0o1(), dsfmt_genrand_close1_open2(), and dsfmt_genrand_open_open().

uint64_t W128_T::u[2]

Referenced by convert_o0o1(), do_recursion(), initial_mask(), and period_certification().

uint32_t W128_T::u32[4]

Referenced by dsfmt_chk_init_by_array(), and dsfmt_chk_init_gen_rand().

The documentation for this union was generated from the following file:

- dSFMT.h